petsc-3.4.2 2013-07-02

# TSGetIJacobian

Returns the implicit Jacobian at the present timestep.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetIJacobian(TS ts,Mat *Amat,Mat *Pmat,TSIJacobian *f,void **ctx)

Not Collective, but parallel objects are returned if TS is parallel

### Input Parameter

ts -The TS context obtained from TSCreate()

### Output Parameters

| Amat | - The (approximate) Jacobian of F(t,U,U_t)
| Pmat | - The matrix from which the preconditioner is constructed, often the same as Amat
| f | - The function to compute the matrices
| ctx | - User-defined context for Jacobian evaluation routine

Notes: You can pass in NULL for any return argument you do not need.

### See Also

TSGetTimeStep(), TSGetRHSJacobian(), TSGetMatrices(), TSGetTime(), TSGetTimeStepNumber()

### Keywords

TS, timestep, get, matrix, Jacobian

Level:advanced
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages